RDKit::ChemicalReactionException Class Reference

used to indicate an error in the chemical reaction engine More...

`#include <Reaction.h>`

Inheritance diagram for RDKit::ChemicalReactionException:

## Public Member Functions

| ChemicalReactionException (const char *msg)
| construct with an error message More...
| ChemicalReactionException (const std::string msg)
| construct with an error message More...
const char * | what () const noexcept override
| get the error message More...
| ~ChemicalReactionException () noexcept override=default

## Detailed Description

used to indicate an error in the chemical reaction engine

Definition at line 48 of file Reaction.h.

## Constructor & Destructor Documentation

## ChemicalReactionException() [1/2]

RDKit::ChemicalReactionException::ChemicalReactionException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 52 of file Reaction.h.

## ChemicalReactionException() [2/2]

RDKit::ChemicalReactionException::ChemicalReactionException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 54 of file Reaction.h.

## ~ChemicalReactionException()

RDKit::ChemicalReactionException::~ChemicalReactionException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char* RDKit::ChemicalReactionException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 56 of file Reaction.h.

The documentation for this class was generated from the following file:

- Reaction.h